# LiveLike WebSDK Code Challenge

The objective of this code challenge is to create a library that exposes chat room Web Components with a chat API service.

## Usage

To start the development environment

```bash
npm run dev
```

Then open `localhost:8000` in your browser.

### Details

This project uses [LitElement](https://lit-element.polymer-project.org/guide), which is a [Web Component](https://developer.mozilla.org/en-US/docs/Web/Web_Components) library.

The `rollup.config.js` contains the [Rollup](https://rollupjs.org/guide/en/) configuration for building the bundle.

The `db.json` file is the "database" for the project that contains all of the starting data.

The `server.js` file creates a server using the `db.json` file as the data, and is accessible through `localhost:3000`.

The `/public/index.html` is the file that will be served by the server, and available on `localhost:8000`.

When running `npm run dev`, Rollup will bundle all of your code into a single file `index.js` that will be placed in `/public`.

## Requirements

1. The library should expose a chat room UI

  a. It should display a list of existing comments that updates when a new comment is sent or received.

  b. It should not display any comments that have been deleted.

  b. It should include a way to send comments.

  c. It should include a way to switch between different "chat rooms" list of comments.

2. The library should expose methods:

  a. To get lists of comments

  b. To create and delete individual comments

  c. To get and create users

3. Add TypeScript interfaces/types to exposed methods.
